# $Revision: 1.38 $, $Date: 2004/05/06 18:01:30 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	IRC
Summary:	Net::IRC perl module
Summary(pl):	Modu perla Net::IRC
Name:		perl-Net-IRC
Version:	0.75
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	57587a48ddece7a995c6b138003ee798
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::IRC - Perl interface to IRC.

%description -l pl
Net::IRC - interfejs perla do IRC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/Net/IRC.pm
%{perl_vendorlib}/Net/IRC
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-IRC.spec,v $
Revision 1.38  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.37  2004/05/02 07:06:58  adamg
- updated to 0.75

Revision 1.36  2004/04/27 00:28:03  ankry
- license fixes, cosmetics

Revision 1.35  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.34  2003/08/18 08:09:03  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.33  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.32  2003/05/25 06:24:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.31  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.30  2003/03/01 20:21:49  radek
- should be ready for perl-5.8.0; release++

Revision 1.29  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.28  2003/02/18 15:37:04  ankry
- massive attack: change CPAN URLs

Revision 1.27  2002/11/26 00:14:20  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.26  2002/07/10 08:48:12  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.25  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.24  2002/03/03 11:44:50  depesz
- removed bad patch (not needed since 0.72!!!!)
- revision *not* ++, because before this the rpm could not even be built!

Revision 1.23  2002/02/25 10:33:15  depesz
cleanup; revision++

Revision 1.22  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/02/13 14:19:00  depesz
automatic: Source location unfied, Relase Up

Revision 1.20  2002/02/10 15:29:41  depesz
adapterized

Revision 1.19  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2002/01/07 09:45:12  kloczek
- updated to 0.73 (fixes in ipv6 support and some other fixes).

Revision 1.17  2001/11/28 15:20:20  mis
- buildarch noarch; release++

Revision 1.16  2001/04/17 12:13:21  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.15  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.14  2001/02/19 14:23:09  mis
- updated (by autoup) to 0.70

Revision 1.13  2001/01/19 05:50:39  kloczek
- do not include .packlist in %files,
- spec adapterized.

Revision 1.12  2001/01/13 01:02:40  dobrek
-Req:perl>=5.6 ;Realase=3;New rpm automat

Revision 1.11  2000/08/03 21:47:33  kloczek
- release 2.

Revision 1.10  2000/08/03 21:39:36  kloczek
- adapterized.

Revision 1.9  2000/08/03 15:15:50  zagrodzki
- added patch for resolved ipv6 addresses

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:34:23  pius
- updated to 0.63

Revision 1.2  1999/11/05 23:57:53  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
